Email Reverse Lookup
curl --request POST \
--url https://api.linkupapi.com/v1/data/mail/reverse \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/mail/reverse"
payload = { "email": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/mail/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/mail/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/mail/reverse"
payload := strings.NewReader("{\n \"email\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/mail/reverse")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/mail/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"email_parsed": {
"original_email": "[email protected]",
"first_name": "satya",
"last_name": "nadella",
"company_domain": "microsoft.com",
"parsing_confidence": "high"
},
"person_found": {
"public_id": "satya-nadella-3145678",
"first_name": "Satya",
"last_name": "Nadella",
"headline": "Chairman and CEO at Microsoft",
"location": "Redmond, Washington, United States",
"summary": "Passionate about empowering every person and organization on the planet to achieve more.",
"industry": "Technology",
"experience": [
{
"company": "Microsoft",
"title": "Chairman and CEO",
"description": "Leading Microsoft's mission to empower every person and every organization on the planet to achieve more.",
"start_date": "02/2014",
"end_date": "",
"company_url": "https://linkedin.com/company/microsoft",
"company_logo_url": "https://media.licdn.com/dms/image/C560BAQE88xCsONDULQ/company-logo_400_400/0/1630652622688/microsoft_logo?e=1759968000&v=beta&t=example"
}
],
"education": [
{
"school": "University of Chicago Booth School of Business",
"degree": "MBA",
"field_of_study": "Business Administration"
}
],
"skills": ["Leadership", "Cloud Computing", "Digital Transformation", "Strategic Planning"],
"profile_picture_url": "https://media.licdn.com/dms/image/example/satya-nadella-profile.jpg",
"email": "",
"phone": "",
"website": ""
}
}
}
{
"status": "success",
"data": {
"email_parsed": {
"original_email": "[email protected]",
"first_name": "tim",
"last_name": "cook",
"company_domain": "unknowndomain.com",
"parsing_confidence": "medium"
},
"person_found": null
}
}
Mail API
Email Reverse Lookup
Find LinkedIn profile information from an email address
POST
/
v1
/
data
/
mail
/
reverse
Email Reverse Lookup
curl --request POST \
--url https://api.linkupapi.com/v1/data/mail/reverse \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/mail/reverse"
payload = { "email": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/mail/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/mail/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/mail/reverse"
payload := strings.NewReader("{\n \"email\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/mail/reverse")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/mail/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"email_parsed": {
"original_email": "[email protected]",
"first_name": "satya",
"last_name": "nadella",
"company_domain": "microsoft.com",
"parsing_confidence": "high"
},
"person_found": {
"public_id": "satya-nadella-3145678",
"first_name": "Satya",
"last_name": "Nadella",
"headline": "Chairman and CEO at Microsoft",
"location": "Redmond, Washington, United States",
"summary": "Passionate about empowering every person and organization on the planet to achieve more.",
"industry": "Technology",
"experience": [
{
"company": "Microsoft",
"title": "Chairman and CEO",
"description": "Leading Microsoft's mission to empower every person and every organization on the planet to achieve more.",
"start_date": "02/2014",
"end_date": "",
"company_url": "https://linkedin.com/company/microsoft",
"company_logo_url": "https://media.licdn.com/dms/image/C560BAQE88xCsONDULQ/company-logo_400_400/0/1630652622688/microsoft_logo?e=1759968000&v=beta&t=example"
}
],
"education": [
{
"school": "University of Chicago Booth School of Business",
"degree": "MBA",
"field_of_study": "Business Administration"
}
],
"skills": ["Leadership", "Cloud Computing", "Digital Transformation", "Strategic Planning"],
"profile_picture_url": "https://media.licdn.com/dms/image/example/satya-nadella-profile.jpg",
"email": "",
"phone": "",
"website": ""
}
}
}
{
"status": "success",
"data": {
"email_parsed": {
"original_email": "[email protected]",
"first_name": "tim",
"last_name": "cook",
"company_domain": "unknowndomain.com",
"parsing_confidence": "medium"
},
"person_found": null
}
}
Find and extract LinkedIn profile information using an email address. This endpoint parses the email, extracts company information, and searches for the corresponding LinkedIn profile.
This endpoint costs 1 credit per request.
Header Parameters
Body Parameters
Email address to reverse lookup (e.g., [email protected])
Response
Show Properties
Show Properties
Show LinkedIn Profile Information
Show LinkedIn Profile Information
{
"status": "success",
"data": {
"email_parsed": {
"original_email": "[email protected]",
"first_name": "satya",
"last_name": "nadella",
"company_domain": "microsoft.com",
"parsing_confidence": "high"
},
"person_found": {
"public_id": "satya-nadella-3145678",
"first_name": "Satya",
"last_name": "Nadella",
"headline": "Chairman and CEO at Microsoft",
"location": "Redmond, Washington, United States",
"summary": "Passionate about empowering every person and organization on the planet to achieve more.",
"industry": "Technology",
"experience": [
{
"company": "Microsoft",
"title": "Chairman and CEO",
"description": "Leading Microsoft's mission to empower every person and every organization on the planet to achieve more.",
"start_date": "02/2014",
"end_date": "",
"company_url": "https://linkedin.com/company/microsoft",
"company_logo_url": "https://media.licdn.com/dms/image/C560BAQE88xCsONDULQ/company-logo_400_400/0/1630652622688/microsoft_logo?e=1759968000&v=beta&t=example"
}
],
"education": [
{
"school": "University of Chicago Booth School of Business",
"degree": "MBA",
"field_of_study": "Business Administration"
}
],
"skills": ["Leadership", "Cloud Computing", "Digital Transformation", "Strategic Planning"],
"profile_picture_url": "https://media.licdn.com/dms/image/example/satya-nadella-profile.jpg",
"email": "",
"phone": "",
"website": ""
}
}
}
{
"status": "success",
"data": {
"email_parsed": {
"original_email": "[email protected]",
"first_name": "tim",
"last_name": "cook",
"company_domain": "unknowndomain.com",
"parsing_confidence": "medium"
},
"person_found": null
}
}
Notes
- The endpoint attempts to parse names and company information from the email address
- Parsing confidence indicates how reliable the name extraction was
Was this page helpful?